sip-module(1)

NAME
sip-module - generate a sip extension module

SYNOPSIS
sip-module [options] name

name is the fully qualified name of the sip module (i.e. including the package name).

DESCRIPTION
sip-module builds one of more of the elements of the sip module for a set of package projects.

OPTIONS

-h, --help
    Display a help message.

-V, --version
    Display the SIP version number.

--abi-version MAJOR[.MINOR]
    The version number of the ABI implemented by the sip module is MAJOR.MINOR. If only the major version number is specified then the latest minor version with that major version is used. By default the very latest version is used.

--project NAME
    The name of the project as it would appear on PyPI is NAME. By default the name is derived from the fully qualified name of the sip module.

--sdist
    Create an sdist which can then be installed by pip or uploaded to PyPI.

--setup-cfg FILE
    FILE is copied to the sdist as setup.cfg instead of the default version. This allows the sdist to be customised. A number of macros may be specified in the setup.cfg file: @SIP_MODULE_FQ_NAME@ is replaced by the fully qualified name of the sip module.

    @SIP_MODULE_PACKAGE_NAME@ is replaced by the module's project top-level package name.

    @SIP_MODULE_PROJECT_NAME@ is replaced by the module's project name as it would appear on PyPI.

    @SIP_MODULE_VERSION@ is replaced by the version number of the module.

--sip-h
    Create a sip.h header file that defines the C ABI implemented by the sip module.

--sip-rst
    Create a sip.rst file that documents the Python API implemented by the sip module.

--target-dir DIR
    Each of the module's elements will be created in DIR.